<template>
  <Page>
    <ActionBar title="Exo Layout">
      <NavigationButton text="Go back" android.systemIcon="ic_menu_back" @tap="goBack()"/>
    </ActionBar>
    <StackLayout>
      <Label class="counter" :text="counter"/>
      <FlexBoxLayout justifyContent="space-around">
        <Button text="Increment" @tap="increment"/>
        <Button text="Decrement" @tap="decrement"/>
      </FlexBoxLayout>

      <Button text="Reset" @tap="reset"/>
    </StackLayout>
  </Page>
</template>

<script>
import * as accel from "nativescript-accelerometer";

export default {
  data() {
    return {
      counter: 0,
      position: null,
      motion: false
    };
  },
  mounted() {
    accel.startAccelerometerUpdates(data => {
      this.position = data;
      if(data.y > 0.6 && !this.motion) {
        this.motion = true;
        setTimeout(() => {
          this.motion = false;
          if(this.position.y < 0.2) {
            this.counter--;
          }
        }, 500);
        
      }
      if(data.y < -0.6 && !this.motion) {
        this.motion =true;
        setTimeout(() => {
          this.motion = false;
          if(this.position.y > -0.2) {
            this.counter++;
          }
        }, 500);
        
      }
      // if(data.z > 0.8) {
      //   this.counter = 0;
      // }
    }, {sensorDelay:'fastest'});
  },
  destroyed() {
    accel.stopAccelerometerUpdates();
  },
  methods: {
    increment() {
      this.counter++;
    },
    decrement() {
      this.counter--;
    },
    reset() {
      this.counter = 0;
    },
    goBack() {
      this.$navigateBack();
    }
  }
};
</script>

<style>
ActionBar {
  background-color: #53ba82;
  color: #ffffff;
}
.counter {
  font-size: 100;
  text-align: center;
}
</style>
